program ipv6srv;

uses
  SvcMgr,
  IPv6CfgService in 'IPv6CfgService.pas' {ipv6init: TService},
  Windows, Dialogs;

{$R *.RES}

var
  tp: array[0..99] of char;
  SI: TStartupInfo;
  PI: TProcessInformation;

begin
  Application.Initialize;
  Application.CreateForm(Tipv6init, ipv6init);
  if (paramStr(1) = '/exe') then
    begin
      ipv6init.MSRIPv6ConfigExecute (NIL);
      halt;
    end
  else if (paramStr(1) = '/edit') then
    begin
      FillChar(SI, SizeOf(SI), 0);
      SI.cb := SizeOf(SI);
      //CreateProcess (NIL, PChar(reg.ReadString(st.Strings[i])+ ' > c:\tmp\ipv6srv.log'),
      CreateProcess (NIL, 'editipv6srv',
                     NIL, NIL, True, CREATE_NEW_CONSOLE, NIL, NIL, SI, PI);
    end
  else if (paramStr(1) <> '') AND (paramStr(1) <> '/install') AND (paramStr(1) <> '/uninstall')then
    begin
      GetTempPath (100, @tp);
      ShowMessage ('''ipv6srv'' is a simple NT Service that executes MSRIPv6 configuration commands at startup.' +
                   chr(13)+chr(13)+
                   'Usage:   ipv6 /install        # installs ipv6srv as a service in the system' + chr(13) +
                   '              ipv6 /uninstall     # uninstalls ipv6srv as a service' + chr(13) +
                   '              ipv6 /edit            # edits the list of init. commands' + chr(13) +
                   '              ipv6 /exe             # reexecutes init. commands' + chr(13) +
                   chr(13) +
                   'results of command executions are written to a log file:  ' + tp + 'ipv6srv.log'+
                   chr(13) + chr(13) +
                   'Written by David Fernndez, April 2000' + chr(13) +
                   'Copyright DIT-UPM, 2000' + '     http://ww.dit.upm.es/bti'
                   );
    end;

  Application.Run;
end.
